package com.artfess.cqlt.manager;

import com.alibaba.fastjson.JSONObject;
import com.artfess.cqlt.model.QfFinanceSasacCompanyD;
import com.artfess.cqlt.model.QfFinanceSasacCompanyM;
import com.artfess.base.manager.BaseManager;

import java.util.List;
import java.util.concurrent.ExecutionException;

/**
 * 财务--国资委子企业季度填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author min.wu
 * @since 2023-03-02
 */
public interface QfFinanceSasacCompanyMManager extends BaseManager<QfFinanceSasacCompanyM> {

    boolean conversion(String mainId) throws ExecutionException, InterruptedException;

    boolean updateStatus(QfFinanceSasacCompanyM t);

    boolean updateInfo(QfFinanceSasacCompanyM t);

    boolean insertInfo(QfFinanceSasacCompanyM t);

    List<JSONObject> detailQuery(List<QfFinanceSasacCompanyD> list);
}
